Delete an attribute string value
delete
/rest/api/categories/attribute_string_values/{id} Removes the Attribute String Value resource.
Removes an attribute string value. Returns 204 No Content on success.
Headers
| Name | Type | Required | Description |
|---|---|---|---|
X-Flowkiwi-Organization-Id | string | required | The organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance. |
X-Flowkiwi-Locale | string | - | Specifies the locale for properties that support localization. If not provided, the default locale will be used. |
X-Flowkiwi-Locale-Fallback | boolean | - | Enables the use of a fallback locale. If a property lacks a translation for the requested locale, the value from the default locale will be used. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | required | Attribute String Value identifier |
Response
204 - Attribute String Value resource deleted
No response body.
Errors
403 - Access denied. The caller is missing one or more identity permissions required for this operation.
Content-Type: application/problem+json
| Property | Type | Required | Description |
|---|---|---|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
type | string | - | |
title | string | - | |
status | integer | - | |
detail | string | - | |
missingPermissions | string[] | - | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |
404 - Not found
| Property | Type | Required | Description |
|---|---|---|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
title | string | null | - | A short, human-readable summary of the problem. |
detail | string | null | - | A human-readable explanation specific to this occurrence of the problem. |
status | number | null | - | |
instance | string | null | - | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
type | string | - | A URI reference that identifies the problem type |
| Property | Type | Required | Description |
|---|---|---|---|
title | string | null | - | A short, human-readable summary of the problem. |
detail | string | null | - | A human-readable explanation specific to this occurrence of the problem. |
status | number | null | - | |
instance | string | null | - | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
type | string | - | A URI reference that identifies the problem type |